<? include_once("../includes/main.inc.php");
$headerTitleName = "Add New Blog";
$page_id = $_REQUEST['page_id'];
$id = '1';

$blogTagIm=implode(",", $_POST[cat_name]);

if(is_post_back()) {
	if($page_id!='') {		 		
		$sql = "update `tbl_blog` set heading='".addslashes($heading)."', content='".addslashes($content)."',title='".addslashes($title)."',description='".addslashes($description)."', keyword='".addslashes($keyword)."', status='".addslashes($status)."', post_writer='".addslashes($post_writer)."', post_date=now() where id = $page_id ";
		db_query($sql);
		########### Uploading Image ################
		if($_FILES['sv_image']['name']!='')
		{
			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/blog/thumb/".$sv_image)){
				@unlink(UP_FILES_FS_PATH."/blog/thumb/".$sv_image);
			}
			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/blog/thumb/".$sv_image_1) or die("Image is not uploaded");
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/blog/original/".$sv_image_1) or die("Image is not uploaded");
			$n_width=225; // Fix the width of the thumb nail images
			$n_height=168; // Fix the height of the thumb nail imaage
			
			$tsrc=UP_FILES_FS_PATH."/blog/thumb/".$sv_image_1;
			$add=UP_FILES_FS_PATH."/blog/original/".$sv_image_1; // Path where thumb nail image will be stored
			
			//echo $tsrc;
			if (!($_FILES[sv_image][type] =="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";
			exit;}
				///////// starting of JPG thumb nail creation//////////
			if($_FILES[sv_image][type]=="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg")
			{
				$im=ImageCreateFromJPEG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImageJpeg($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			else{
				$im=ImageCreateFromPNG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImagePng($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			
			db_query("update tbl_blog set blog_banner='".$sv_image_1."' where id = $page_id ");
		}
		set_session_msg("blog updated successfully.");	
	    header("Location: blog_list.php?start=$start");
	} else{	
	
	     ########### Uploading Image ################
		if($_FILES['sv_image']['name']!='')
		{
			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/blog/thumb/".$sv_image)){
				@unlink(UP_FILES_FS_PATH."/blog/thumb/".$sv_image);
			}
			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/blog/thumb/".$sv_image_1) or die("Image is not uploaded");
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/blog/original/".$sv_image_1) or die("Image is not uploaded");
			$n_width=225; // Fix the width of the thumb nail images
			$n_height=168; // Fix the height of the thumb nail imaage
			
			$tsrc=UP_FILES_FS_PATH."/blog/thumb/".$sv_image_1;
			$add=UP_FILES_FS_PATH."/blog/original/".$sv_image_1; // Path where thumb nail image will be stored
			
			//echo $tsrc;
			if (!($_FILES[sv_image][type] =="image/jpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";
			exit;}
				///////// starting of JPG thumb nail creation//////////
			if($_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/jpeg")
			{
				$im=ImageCreateFromJPEG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImageJpeg($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			else{
				$im=ImageCreateFromPNG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImagePng($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			
		}
		$sql = "insert into `tbl_blog` set heading='".addslashes($heading)."',content='".addslashes($content)."', title='".addslashes($title)."',description='".addslashes($description)."', keyword='".addslashes($keyword)."', status='".addslashes($status)."', post_writer='".addslashes($post_writer)."',cat_name='".$blogTagIm."', blog_banner='".$sv_image_1."', post_date=now() ";
		db_query($sql);
		set_session_msg("New Blog added successfully.");
	header("Location: blog_list.php?start=$start");
	exit;
	}
}

if($page_id!='') {
	$sql = "select * from `tbl_blog` where id = '$page_id'";
	$result = db_query($sql);
	if ($line_raw = mysql_fetch_array($result)) {
		
		@extract($line_raw);
	}
}
?>


<link href="styles.css" rel="stylesheet" type="text/css">
<? include("top.inc.php");?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="pageHead"><div id="txtPageHead">
       Add/Edit - Blog</div></td>
  </tr>
</table>
<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
  <link rel="stylesheet" type="text/css" href="multiSelect/example-styles.css">
<table width="80%" align="left">
		  	<tr><td>
		  	<form method="post" action="" enctype="multipart/form-data" name="form1" id="form1" onSubmit="return validate(this);">
		  	<input type="hidden" name="hfstateId" id="hfstateId" value="<?php echo $state_id; ?>">
        <table width="80%" align="center" border=0 cellpadding="0"  cellspacing="0" class="text">
    	<tr>
		<td  colspan="2"height="30"  align="right"><a href="blog_list.php?start=<?=$start?>" class="redcolor"><strong>Back To Blog List</strong></a></td>
		</tr>    
        <tr><td height="15"><div align="center"><span class="msg"><?=display_sess_msg();?></span></div><br /></td></tr>  
    
       
        <tr>
		  <td class="lables"><b>Heading</b></td>
          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($heading)?>" name="heading" id="heading"  /></td>
        </tr>
          <tr><td>&nbsp;</td></tr>
	    <tr>
		  <td class="lables"><b>Writer</b></td>
          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($post_writer)?>" name="post_writer" id="post_writer"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
		 <tr>
			<td class="lables"><b>Provide Categaries</b></td>
			<td class="feildstxt"> 
			   	 
      			    <?php if($page_id !=''){?>		    
				     <input type="test" value="<?=stripslashes($cat_name)?>" name="cat_name" style="width:400px;">	
            		<?php }else{ 	?>
                     <select name="cat_name[]" id="cat_name" style="width:300px;" multiple>	
					<?php					
						$indusmenusql = mysql_query("select * from `tbl_blogcatp` where status=1"); 
						while($row =mysql_fetch_array($indusmenusql)):?>		   
						<option value="<?php echo ucwords($row['catP_Name']); ?>"><?php echo ucwords($row['catP_Name']);?></option>
						<?php endwhile; }?>		 
				</select> 
				</td>
		</tr>


        <tr><td>&nbsp;</td></tr>
		<tr>
		  <td class="lables"><b>Status</b></td>
          <td class="feildstxt"><select name="status" id="status">
          <option value="1" <?php if($status=='1'){ echo 'selected="selected"'; } ?>>Active</option>
          <option value="0" <?php if($status=='0'){ echo 'selected="selected"'; } ?>>InActive</option>          
          </select></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
       <tr>
		  <td class="lables" colspan="2"><hr/></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
       <tr>
		  <td class="lables"><b>Title </b></td>
          <td class="feildstxt"><textarea style="width:650px; height:100px;"  name="title" id="title"><?=stripslashes($title)?></textarea></td>
        </tr>
		 <tr><td>&nbsp;</td></tr>
         <tr>
		  <td class="lables"><b>Descriptions</b></td>
          <td class="feildstxt"><textarea style="width:650px; height:100px;"  name="description" id="description"><?=stripslashes($description)?></textarea></td>
        </tr>
		<tr><td>&nbsp;</td></tr>
        <tr>
		  <td class="lables"><b>Keyword</b></td>
          <td class="feildstxt"><textarea style="width:650px; height:100px;" name="keyword" id="keyword"><?=stripslashes($keyword)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>  
		
        <tr>
		  <td class="lables"><b>Blog Content </b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="content" id="content"><?=stripslashes($content)?></textarea></td>
          </td>
        </tr>
        
        <tr><td>&nbsp;</td></tr>
       <tr><td>&nbsp;</td></tr>
        <tr>
		  <td class="lables" colspan="2"><hr/></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
         <tr>
		  <td class="lables"><b>blog Image</b></td>
          <td class="feildstxt"><input type="file" name="sv_image" id="sv_image"  /></td>
        </tr>

        <tr><td>&nbsp;</td></tr>
        <tr>
		  <td class="lables"><b>Current blog Image</b></td>
          <td class="feildstxt">
        <? if($page_id!='')
            {
                $sv_image = $blog_banner;
                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/blog/thumb/".$sv_image)){
                $imgsrc=SITE_WS_PATH."/uploaded_files/blog/thumb/".$sv_image;
                $size=getimagesize(UP_FILES_FS_PATH."/blog/thumb/".$sv_image);
				echo '<img src="'.$imgsrc.'" alt="No Image"  />';
                }
				else{  echo 'NO Images'; }
				
				
                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/blog/original/".$sv_image)){
                $imgsrcBig=SITE_WS_PATH."/uploaded_files/blog/original/".$sv_image;
                $size=getimagesize(UP_FILES_FS_PATH."/blog/original/".$sv_image);
                $img=ImageCreateFromJPEG($imgsrcBig);
                $width=ImageSx($img); 
                $height=ImageSy($img); 				
			}
		}
        ?>
             
            </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr>
        <td align="left" class="lables">&nbsp;</td>
        <td align="left" class="feildstxt"><input class="button" type="submit" name="submit" value="Save"></td>
        </tr>
        <tr><td height="25">&nbsp;</td></tr>
   </table>
    </form>
    </td>
</tr>
</table>  
<script>
    function getState()
	{
		$("#state_id").html('<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>');
		$.post('get_state.php',{country_id:$("#country_id").val(),edit_state_id:$("#hfstateId").val()},function(data,status){
			if(status='success')
			{	
				$("#state_id").html(data);
			}
			else{
				alert("Something Going Error");	
			}
		});
	}
</script>  

<script type="text/javascript" src="multiSelect/jquery-2.2.4.min.js"></script>
<script type="text/javascript" src="multiSelect/jquery.multi-select.js"></script>	
 <script type="text/javascript">
    $(function(){
        $('#cat_name').multiSelect();
        $('#line-wrap-example').multiSelect({
            positionMenuWithin: $('.position-menu-within')
        });
        $('#categories').multiSelect({
            noneText: 'All categories',
            presets: [
                {
                    name: 'All categories',
                    options: []
                },
                {
                    name: 'My categories',
                    options: ['a', 'c']
                }
            ]
        })
    });
    </script>

<script type="text/javascript">
	 var oFCKeditor=new FCKeditor('content','650','500')	;
	 oFCKeditor.BasePath="fckeditor/";	
	 oFCKeditor.ReplaceTextarea();
</script>   
<? include("bottom.inc.php");?>